Package org.apache.maven.scm.provider.starteam

## Class StarteamScmProvider

- java.lang.Object
- - org.apache.maven.scm.provider.AbstractScmProvider
  - - org.apache.maven.scm.provider.starteam.StarteamScmProvider

All Implemented Interfaces:
  `ScmProvider`

    public class StarteamScmProvider
    extends AbstractScmProvider

Author:
  Trygve Laugstøl

### Field Summary

Fields
`static java.lang.String` `STARTEAM_URL_FORMAT`

### Fields inherited from interface org.apache.maven.scm.provider.ScmProvider

`ROLE`

### Constructor Summary

Constructors
`StarteamScmProvider()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`AddScmResult` `add​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`ChangeLogScmResult` `changelog​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`CheckInScmResult` `checkin​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`CheckOutScmResult` `checkout​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`DiffScmResult` `diff​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected EditScmResult` `edit​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`static java.lang.String` `getRelativePath​(java.io.File basedir, java.io.File f)`
`java.lang.String` `getScmType()`
`ScmProviderRepository` `makeProviderScmRepository​(java.lang.String scmSpecificUrl, char delimiter)`
`RemoveScmResult` `remove​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`StatusScmResult` `status​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`TagScmResult` `tag​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected UnEditScmResult` `unedit​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`UpdateScmResult` `update​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`

### Methods inherited from class org.apache.maven.scm.provider.AbstractScmProvider

`add, add, add, addListener, blame, blame, blame, branch, branch, branch, branch, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, checkIn, checkIn, checkIn, checkOut, checkOut, checkOut, checkOut, checkOut, checkOut, checkOut, diff, diff, edit, export, export, export, export, export, export, getLogger, getScmSpecificFilename, info, list, list, list, login, makeProviderScmRepository, mkdir, mkdir, remoteInfo, remove, requiresEditMode, sanitizeTagName, status, tag, tag, tag, unedit, untag, update, update, update, update, update, update, update, update, update, update, update, update, validateScmUrl, validateTagName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STARTEAM_URL_FORMAT

    public static final java.lang.String STARTEAM_URL_FORMAT

See Also:
  Constant Field Values

### Constructor Detail

#### StarteamScmProvider

    public StarteamScmProvider()

### Method Detail

#### makeProviderScmRepository

    public ScmProviderRepository makeProviderScmRepository​(java.lang.String scmSpecificUrl,
                                                           char delimiter)
                                                    throws ScmRepositoryException

Throws:
  `ScmRepositoryException`

#### getScmType

    public java.lang.String getScmType()

#### add

    public AddScmResult add​(ScmProviderRepository repository,
                            ScmFileSet fileSet,
                            CommandParameters parameters)
                     throws ScmException

Overrides:
  `add` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### changelog

    public ChangeLogScmResult changelog​(ScmProviderRepository repository,
                                        ScmFileSet fileSet,
                                        CommandParameters parameters)
                                 throws ScmException

Overrides:
  `changelog` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### checkin

    public CheckInScmResult checkin​(ScmProviderRepository repository,
                                    ScmFileSet fileSet,
                                    CommandParameters parameters)
                             throws ScmException

Overrides:
  `checkin` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### checkout

    public CheckOutScmResult checkout​(ScmProviderRepository repository,
                                      ScmFileSet fileSet,
                                      CommandParameters parameters)
                               throws ScmException

Overrides:
  `checkout` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### diff

    public DiffScmResult diff​(ScmProviderRepository repository,
                              ScmFileSet fileSet,
                              CommandParameters parameters)
                       throws ScmException

Overrides:
  `diff` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### status

    public StatusScmResult status​(ScmProviderRepository repository,
                                  ScmFileSet fileSet,
                                  CommandParameters parameters)
                           throws ScmException

Overrides:
  `status` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### tag

    public TagScmResult tag​(ScmProviderRepository repository,
                            ScmFileSet fileSet,
                            CommandParameters parameters)
                     throws ScmException

Overrides:
  `tag` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### update

    public UpdateScmResult update​(ScmProviderRepository repository,
                                  ScmFileSet fileSet,
                                  CommandParameters parameters)
                           throws ScmException

Overrides:
  `update` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### edit

    protected EditScmResult edit​(ScmProviderRepository repository,
                                 ScmFileSet fileSet,
                                 CommandParameters parameters)
                          throws ScmException

Overrides:
  `edit` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### unedit

    protected UnEditScmResult unedit​(ScmProviderRepository repository,
                                     ScmFileSet fileSet,
                                     CommandParameters parameters)
                              throws ScmException

Overrides:
  `unedit` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### remove

    public RemoveScmResult remove​(ScmProviderRepository repository,
                                  ScmFileSet fileSet,
                                  CommandParameters parameters)
                           throws ScmException

Overrides:
  `remove` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### getRelativePath

    public static java.lang.String getRelativePath​(java.io.File basedir,
                                                   java.io.File f)
                                            throws ScmException,
                                                   java.io.IOException

Throws:
  `ScmException`
  `java.io.IOException`